Groovy 1.7.0

## org.codehaus.groovy.ast.stmt
Class ExpressionStatement

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.stmt.Statement
              org.codehaus.groovy.ast.stmt.ExpressionStatement

    class ExpressionStatement
    extends Statement

A simple statement such as a method call where the return value is ignored

author:
  James Strachan

version:
  $Revision: 6778 $

Constructor Summary
`ExpressionStatement(Expression expression)`

Method Summary
`Expression` | `getExpression()`
`String` | `getText()`
`void` | `setExpression(Expression expression)`
`String` | `toString()`
`void` | `visit(GroovyCodeVisitor visitor)`

Methods inherited from class Statement
getStatementLabel, isEmpty, setStatementLabel

Methods inherited from class ASTNode
getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getText, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setSourcePosition, visit

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### ExpressionStatement

    public ExpressionStatement(Expression expression)

Method Detail

### getExpression

    public Expression getExpression()

### getText

    public String getText()

### setExpression

    public void setExpression(Expression expression)

### toString

    public String toString()

### visit

    public void visit(GroovyCodeVisitor visitor)

Copyright © 2003-2009 The Codehaus. All rights reserved.